import { SVGBase } from './common';
import { SVGItem } from './Elements/SVGItem';
export * from './Elements';
export declare class Svg extends SVGBase {
    _svg: any;
    constructor();
    createNativeView(): any;
    get native(): any;
    onLayout(left: number, top: number, right: number, bottom: number): void;
    onMeasure(widthMeasureSpec: number, heightMeasureSpec: number): void;
    __redraw(): void;
    onLoaded(): void;
    onUnloaded(): void;
    addChild(view: SVGItem): void;
    removeChild(view: SVGItem): void;
    static fromSrcSync(value: string): Svg | null;
    static fromSrc(value: string): Promise<Svg>;
}
